import { z } from 'zod';

export const integrationConfigSchema = z
  .object({
    success: z.boolean(),
    data: z.array(
      z
        .object({
          type: z.string(),
          verify: z.boolean(),
          config: z.record(z.string(), z.unknown()),
        })
        .passthrough(),
    ),
  })
  .passthrough();

/** 金数据规则 */
export const jinshujuRulesSchema = z.array(
  z.object({ id: z.number(), name: z.string(), formToken: z.string() }).passthrough(),
);

/** 教室排课总览 */
